<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
  <ui:define name="head">
  	<h:outputStylesheet library="stylesheet" name="hl7templates.css"/>
  </ui:define>
  <ui:define name="body">
		<h:form id="globalForm">
			#{HL7TemplateValManager.initRes()}
			<h1>#{messages['net.ihe.gazelle.cdagen.HL7TemplatesValidation']}</h1>
			<s:div id="globalDiv" 
				rendered="#{HL7TemplateValManager.currentHL7TemplValidation!=null and HL7TemplateValManager.currentHL7TemplValidation.id != null}">
				#{HL7TemplateValManager.initCurrentHL7TemplValidation()}
				<ui:include src="resultVal.xhtml" />
			</s:div>
		</h:form>
		<h:form id="logs">
			<s:div rendered="#{HL7TemplateValManager.currentHL7TemplValidation != null and !HL7TemplateValManager.canViewResult()}">
				<h:outputText value="#{messages['net.ihe.gazelle.TheResultIsNotFoundInTheServer']} " />
				<s:div rendered="#{HL7TemplateValManager.thereAreLogs()}">
					<gri:progressBar value="#{HL7TemplateValManager.currentProgressValue}" style="width:20%" />
					<br/>
					<h:outputText value="#{messages['net.ihe.gazelle.SomeLogsOfExecutionsWereFound']}" />
					<a4j:commandButton styleClass="gzl-btn-blue"
						actionListener="#{HL7TemplateValManager.showLogs()}"
						rendered="#{!HL7TemplateValManager.canShowLogs()}"
						value="#{messages['net.ihe.gazelle.ShowLogs']}" />
					<a4j:commandButton styleClass="gzl-btn-blue"
						actionListener="#{HL7TemplateValManager.hideLogs()}"
						rendered="#{HL7TemplateValManager.canShowLogs()}" value="#{messages['net.ihe.gazelle.HideLogs']}" />
					<br/>
					<br/>
					<s:div rendered="#{HL7TemplateValManager.canShowLogs()}">
						<pre>
						<h:outputText id="validationLogsOut"
									value="#{HL7TemplateValManager.logsOfValidation()}" />
						<br /><i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i>
						</pre>
					</s:div>
	
				</s:div>
			</s:div>
		</h:form>
		<h:form>
			<a4j:poll id="poll"  enabled="#{!HL7TemplateValManager.canViewResult()}" render="poll,logs,globalDiv" interval="3000" />
		</h:form>

	</ui:define>
</ui:composition>
